## gnome-print-paper-selector

gnome-print-paper-selector

## Synopsis

                        GnomePaperPreview;
                        GnomePaperPreviewClass;
    #define             GNOME_TYPE_PAPER_SELECTOR
    #define             GNOME_PAPER_SELECTOR                (o)
    #define             GNOME_PAPER_SELECTOR_CLASS          (k)
    #define             GNOME_IS_PAPER_SELECTOR             (o)
    #define             GNOME_IS_PAPER_SELECTOR_CLASS       (k)
    #define             GNOME_PAPER_SELECTOR_GET_CLASS      (o)
                        GnomePaperSelector;
                        GnomePaperSelectorClass;
    #define             GNOME_TYPE_PRINT_UNIT_SELECTOR
    #define             GNOME_PRINT_UNIT_SELECTOR           (o)
    #define             GNOME_PRINT_UNIT_SELECTOR_CLASS     (k)
    #define             GNOME_IS_PRINT_UNIT_SELECTOR        (o)
    #define             GNOME_IS_PRINT_UNIT_SELECTOR_CLASS  (k)
    #define             GNOME_PRINT_UNIT_SELECTOR_GET_CLASS (o)
                        GnomePrintUnitSelector;
                        GnomePrintUnitSelectorClass;
    GtkWidget*          gnome_paper_preview_new             (GnomePrintConfig *config);
    GType               gnome_paper_selector_get_type       (void);
    GtkWidget*          gnome_paper_selector_new            (GnomePrintConfig *config);
    GtkWidget*          gnome_paper_selector_new_with_flags (GnomePrintConfig *config,
                                                             gint flags);
    GType               gnome_print_unit_selector_get_type  (void);
    GtkWidget*          gnome_print_unit_selector_new       (guint bases);
    const GnomePrintUnit* gnome_print_unit_selector_get_unit
                                                            (GnomePrintUnitSelector *selector);
    void                gnome_print_unit_selector_set_bases (GnomePrintUnitSelector *selector,
                                                             guint bases);
    void                gnome_print_unit_selector_set_unit  (GnomePrintUnitSelector *selector,
                                                             const GnomePrintUnit *unit);
    void                gnome_print_unit_selector_add_adjustment
                                                            (GnomePrintUnitSelector *selector,
                                                             GtkAdjustment *adjustment);
    void                gnome_print_unit_selector_remove_adjustment
                                                            (GnomePrintUnitSelector *selector,
                                                             GtkAdjustment *adjustment);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GnomePaperSelector

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GnomePrintUnitSelector

## Implemented Interfaces

GnomePaperSelector implements AtkImplementorIface and GtkBuildable.

GnomePrintUnitSelector implements AtkImplementorIface and GtkBuildable.

## Properties

      "config"                   GnomePrintConfig*     : Read / Write
      "height"                   gdouble               : Read
      "width"                    gdouble               : Read

## Signals

      "modified"                                       : Run First

## Description

## Details

### GnomePaperPreview

    typedef struct {
    	GtkHBox box;

    	GtkWidget *canvas;

    	GnomeCanvasItem *item;

    	GnomePrintConfig *config;
    } GnomePaperPreview;

### GnomePaperPreviewClass

    typedef struct _GnomePaperPreviewClass GnomePaperPreviewClass;

### GNOME_TYPE_PAPER_SELECTOR

    #define GNOME_TYPE_PAPER_SELECTOR         (gnome_paper_selector_get_type ())

### GNOME_PAPER_SELECTOR()

    #define GNOME_PAPER_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelector))

`o` : |

### GNOME_PAPER_SELECTOR_CLASS()

    #define GNOME_PAPER_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

`k` : |

### GNOME_IS_PAPER_SELECTOR()

    #define GNOME_IS_PAPER_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PAPER_SELECTOR))

`o` : |

### GNOME_IS_PAPER_SELECTOR_CLASS()

    #define GNOME_IS_PAPER_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_PAPER_SELECTOR))

`k` : |

### GNOME_PAPER_SELECTOR_GET_CLASS()

    #define GNOME_PAPER_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

`o` : |

### GnomePaperSelector

    typedef struct _GnomePaperSelector GnomePaperSelector;

### GnomePaperSelectorClass

    typedef struct _GnomePaperSelectorClass GnomePaperSelectorClass;

### GNOME_TYPE_PRINT_UNIT_SELECTOR

    #define GNOME_TYPE_PRINT_UNIT_SELECTOR         (gnome_print_unit_selector_get_type ())

### GNOME_PRINT_UNIT_SELECTOR()

    #define GNOME_PRINT_UNIT_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelector))

`o` : |

### GNOME_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

`k` : |

### GNOME_IS_PRINT_UNIT_SELECTOR()

    #define GNOME_IS_PRINT_UNIT_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR))

`o` : |

### GNOME_IS_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_IS_PRINT_UNIT_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR))

`k` : |

### GNOME_PRINT_UNIT_SELECTOR_GET_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o),  GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

`o` : |

### GnomePrintUnitSelector

    typedef struct _GnomePrintUnitSelector GnomePrintUnitSelector;

### GnomePrintUnitSelectorClass

    typedef struct _GnomePrintUnitSelectorClass GnomePrintUnitSelectorClass;

### gnome_paper_preview_new ()

    GtkWidget*          gnome_paper_preview_new             (GnomePrintConfig *config);

`config` : |
Returns : |

### gnome_paper_selector_get_type ()

    GType               gnome_paper_selector_get_type       (void);

Returns : |

### gnome_paper_selector_new ()

    GtkWidget*          gnome_paper_selector_new            (GnomePrintConfig *config);

`config` : |
Returns : |

### gnome_paper_selector_new_with_flags ()

    GtkWidget*          gnome_paper_selector_new_with_flags (GnomePrintConfig *config,
                                                             gint flags);

`config` : |
`flags` : |
Returns : |

### gnome_print_unit_selector_get_type ()

    GType               gnome_print_unit_selector_get_type  (void);

Returns : |

### gnome_print_unit_selector_new ()

    GtkWidget*          gnome_print_unit_selector_new       (guint bases);

`bases` : |
Returns : |

### gnome_print_unit_selector_get_unit ()

    const GnomePrintUnit* gnome_print_unit_selector_get_unit
                                                            (GnomePrintUnitSelector *selector);

`selector` : |
Returns : |

### gnome_print_unit_selector_set_bases ()

    void                gnome_print_unit_selector_set_bases (GnomePrintUnitSelector *selector,
                                                             guint bases);

`selector` : |
`bases` : |

### gnome_print_unit_selector_set_unit ()

    void                gnome_print_unit_selector_set_unit  (GnomePrintUnitSelector *selector,
                                                             const GnomePrintUnit *unit);

`selector` : |
`unit` : |

### gnome_print_unit_selector_add_adjustment ()

    void                gnome_print_unit_selector_add_adjustment
                                                            (GnomePrintUnitSelector *selector,
                                                             GtkAdjustment *adjustment);

`selector` : |
`adjustment` : |

### gnome_print_unit_selector_remove_adjustment ()

    void                gnome_print_unit_selector_remove_adjustment
                                                            (GnomePrintUnitSelector *selector,
                                                             GtkAdjustment *adjustment);

`selector` : |
`adjustment` : |

## Property Details

### The `"config"` property

      "config"                   GnomePrintConfig*     : Read / Write

Configuration.

### The `"height"` property

      "height"                   gdouble               : Read

Height.

Allowed values: >= 1

Default value: 841.89

### The `"width"` property

      "width"                    gdouble               : Read

Width.

Allowed values: >= 1

Default value: 595.276

## Signal Details

### The `"modified"` signal

    void                user_function                      (GnomePrintUnitSelector *printunitselector,
                                                            gpointer                user_data)              : Run First

`printunitselector` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.